Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pipeline-executions
/
{pipelineExecutionId}
/
status
Pipeline Execution Status
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required
pipelineExecutionId
string<uuid>
required

Response

Pipeline execution status has been retrieved

status
enum<string>

The current status of the pipeline execution

Available options:
RUNNING,
SUCCESS,
FAILED,
CANCELLING,
CANCELLED,
FORBIDDEN,
SKIPPED,
UNKNOWN